Difference between revisions of "Operating System Compatibility List"

From RCS Wiki
Jump to navigation Jump to search
(→‎GNU/Linux: Add Debian 11.)
m (remove chromium from gentoo description)
(20 intermediate revisions by 5 users not shown)
Line 13: Line 13:
 
|[[User:Awilfox|awilfox]]
 
|[[User:Awilfox|awilfox]]
 
|Needs the easy-kernel-power8 package instead of easy-kernel.  KDE 5 is stable.
 
|Needs the easy-kernel-power8 package instead of easy-kernel.  KDE 5 is stable.
 +
|-
 +
|[https://almalinux.org/ Alma]
 +
|8.5
 +
|ppc64le
 +
|[[User:Xilinder|Xilinder]]
 +
|[https://forums.raptorcs.com/index.php/topic,345.msg2769.html#msg2769 Works]
 
|-
 
|-
 
|[https://alpinelinux.org/ Alpine]
 
|[https://alpinelinux.org/ Alpine]
Line 19: Line 25:
 
|[[User:Tle|Tle]]
 
|[[User:Tle|Tle]]
 
|Needs internet connection for the setup-alpine to fetch grub-ieee1275 and sfdisk. Let's hope the next version would include these two packages in the ISO. I have lodged a [https://gitlab.alpinelinux.org/alpine/aports/issues/11384 request]
 
|Needs internet connection for the setup-alpine to fetch grub-ieee1275 and sfdisk. Let's hope the next version would include these two packages in the ISO. I have lodged a [https://gitlab.alpinelinux.org/alpine/aports/issues/11384 request]
 +
|-
 +
|[https://en.altlinux.org/ ALT]
 +
|10.0
 +
|ppc64le
 +
|[[User:MPC7500|MPC7500]]
 +
|Unable to install. The image is not displayed in Petitboot.
 +
|-
 +
|[https://aosc.io/ AOSC OS]
 +
|RR
 +
|ppc64le
 +
|[[User:MPC7500|MPC7500]]
 +
|Not tested yet.
 +
|-
 +
|[https://archlinuxpower.org/ Arch]
 +
|RR
 +
|ppc64le
 +
|[[User:MPC7500|MPC7500]]
 +
|Not tested yet.
 +
|-
 +
|[https://ataraxialinux.org/ Ataraxia]
 +
|201101
 +
|ppc64le
 +
|[[User:MPC7500|MPC7500]]
 +
|Not tested yet.
 +
|-
 +
|[https://bedrocklinux.org/ Bedrock]
 +
|0.7.24
 +
|ppc64le
 +
|[[User:MPC7500|MPC7500]]
 +
|Not tested yet.
 
|-
 
|-
 
|[https://www.centos.org/ CentOS]
 
|[https://www.centos.org/ CentOS]
Line 26: Line 62:
 
|Works OOTB. I only needed the [[Troubleshooting/GPU#Xorg_crashes_or_is_laggy_with_the_AST_VGA_GPU| snippets for the AST GPU]]
 
|Works OOTB. I only needed the [[Troubleshooting/GPU#Xorg_crashes_or_is_laggy_with_the_AST_VGA_GPU| snippets for the AST GPU]]
 
|-
 
|-
|rowspan="9"|[https://cdimage.debian.org/cdimage/ Debian]
+
|[https://www.centos.org/ CentOS Stream]
 +
|9
 +
|ppc64le
 +
|[[User:MPC7500|MPC7500]]
 +
|Not tested yet.
 +
|-
 +
|[https://chimera-linux.org/ Chimera]
 +
|20220912
 +
|ppc64le
 +
|[[User:JeremyRand|JeremyRand]]
 +
|Not tested yet.
 +
|-
 +
|[https://cclinux.org/ Circle]
 +
|8.6
 +
|ppc64le
 +
|[[User:MPC7500|MPC7500]]
 +
|Not tested yet.
 +
|-
 +
|rowspan="10"|[https://cdimage.debian.org/cdimage/ Debian]
 +
|12 (2022-03-21 weekly DVD ISO)
 +
|ppc64le (inside KVM; machine type = pseries)
 +
|[[User:JeremyRand|JeremyRand]]
 +
|Seems to work fine with XFCE.
 +
|-
 
|11.1.0 (netinst)
 
|11.1.0 (netinst)
 
|ppc64le
 
|ppc64le
 
|[[User:Jas|Jas]]
 
|[[User:Jas|Jas]]
|Installs and works out of box with no changes.  Installer is on serial port, VGA is blank.  Works fine as a KVM host via virt-manager and a Debian 11 guest VM.
+
|Installs and works out of box with no changes.  Installer is on serial port, VGA is blank  
 +
([[Operating_System_Specific_Workarounds/Debian#Bullseye|workaround]]).  Works fine as a KVM host via virt-manager and a Debian 11 guest VM.
 
|-
 
|-
 
|11 (2021-03-29 weekly DVD ISO)
 
|11 (2021-03-29 weekly DVD ISO)
Line 72: Line 132:
 
|Requires 4.16 or newer kernel. Installed Debian testing net install, set apt sources to Debian stable and downgraded, keeping 4.16 kernel. Most VMs failed to boot before updating qemu to 2.12.0.
 
|Requires 4.16 or newer kernel. Installed Debian testing net install, set apt sources to Debian stable and downgraded, keeping 4.16 kernel. Most VMs failed to boot before updating qemu to 2.12.0.
 
|-
 
|-
|rowspan="10"|[https://alt.fedoraproject.org/alt/ Fedora]
+
|[https://www.devuan.org/ Devuan]
 +
|4.0
 +
|ppc64le
 +
|[[User:MPC7500|MPC7500]]
 +
|Works
 +
|-
 +
|rowspan="12"|[https://alt.fedoraproject.org/alt/ Fedora]
 +
|36
 +
|ppc64le
 +
|ClassicHasClass
 +
|[https://www.talospace.com/2022/06/fedora-36-mini-mini-review-on-blackbird.html Review at Talospace.]
 +
|-
 +
|35
 +
|ppc64le
 +
|ClassicHasClass
 +
|[https://www.talospace.com/2021/11/fedora-35-mini-review-on-blackbird-and.html Review at Talospace.]
 +
|-
 
|34
 
|34
 
|ppc64le
 
|ppc64le
Line 115: Line 191:
 
|May need to manually specify inst.stage2, during install. [https://www.ibm.com/developerworks/community/blogs/cb4b63c0-e358-474c-8b04-391c3a279d5a/entry/Baremetal_RHEL_Redhat_Installation_with_OPAL?lang=en Workaround] [https://bugzilla.redhat.com/show_bug.cgi?id=1577587 Bug]
 
|May need to manually specify inst.stage2, during install. [https://www.ibm.com/developerworks/community/blogs/cb4b63c0-e358-474c-8b04-391c3a279d5a/entry/Baremetal_RHEL_Redhat_Installation_with_OPAL?lang=en Workaround] [https://bugzilla.redhat.com/show_bug.cgi?id=1577587 Bug]
 
|-
 
|-
|ppc64
+
|ppc64be
 
|[[User:Sharkcz|Sharkcz]]
 
|[[User:Sharkcz|Sharkcz]]
 
|discontinued in Fedora 29
 
|discontinued in Fedora 29
Line 124: Line 200:
 
|[[User:Luke-jr|luke-jr]]
 
|[[User:Luke-jr|luke-jr]]
 
|Once installed, works fine.
 
|Once installed, works fine.
Gnome, Plasma and other desktops are supported.
+
GNOME, Plasma and other desktops are supported.
Ships working firefox, chromium, qtwebengine.   
+
Ships working firefox, qtwebengine:5.   
 
[https://distfiles.gentoo.org/releases/ppc/autobuilds/current-install-ppc64le-minimal/ latest install iso supporting both 4k and 64k pagesize kernels]
 
[https://distfiles.gentoo.org/releases/ppc/autobuilds/current-install-ppc64le-minimal/ latest install iso supporting both 4k and 64k pagesize kernels]
 
|-
 
|-
Line 132: Line 208:
 
|[[User:MarcusC|MarcusC]]
 
|[[User:MarcusC|MarcusC]]
 
|XFCE4 and virt-manager verified
 
|XFCE4 and virt-manager verified
 +
|-
 +
|[https://www.glasnost.org/ Glasnost]
 +
|2021.10-01
 +
|ppc64le
 +
|[[User:MPC7500|MPC7500]]
 +
|Not tested yet.
 
|-
 
|-
 
|[http://www.dds6qkxpwdeubwucdiaord2xgbbeyds25rbsgr73tbfpqpt4a6vjwsyd.onion/wiki/Kicksecure Kicksecure] ([https://www.whonix.org/wiki/Kicksecure clearnet link])
 
|[http://www.dds6qkxpwdeubwucdiaord2xgbbeyds25rbsgr73tbfpqpt4a6vjwsyd.onion/wiki/Kicksecure Kicksecure] ([https://www.whonix.org/wiki/Kicksecure clearnet link])
Line 149: Line 231:
 
|[[User:Jonsger|Jonsger]]
 
|[[User:Jonsger|Jonsger]]
 
|Install via serial console (over ssh) and connect HDMI to dedicated GPU. Use Xorg config from [[Troubleshooting/GPU#Step_2:_Create_Xorg_Configuration_Snippet]]. radeonsi is missing, as Mesa-dri is not build for ppc64le. Workaround: install from [https://build.opensuse.org/project/show/home:jbrielmaier:ppc64le home:jbrielmaier:ppc64le] repo.
 
|Install via serial console (over ssh) and connect HDMI to dedicated GPU. Use Xorg config from [[Troubleshooting/GPU#Step_2:_Create_Xorg_Configuration_Snippet]]. radeonsi is missing, as Mesa-dri is not build for ppc64le. Workaround: install from [https://build.opensuse.org/project/show/home:jbrielmaier:ppc64le home:jbrielmaier:ppc64le] repo.
 +
|-
 +
|[https://mirror.grapentin.org/parabola-ports/powerpc64le/ Parabola]
 +
|15-Apr-2021
 +
|ppc64le
 +
|[[User:JeremyRand|JeremyRand]]
 +
|Not tested yet.
 +
|-
 +
|[https://www.powerel.org/ PowerEL]
 +
|7
 +
|ppc64le
 +
|[[User:MPC7500|MPC7500]]
 +
|Unable to install. The image is not displayed in Petitboot.
 +
|-
 +
|[https://www.redhat.com/en/technologies/linux-platforms/enterprise-linux RHEL]
 +
|9
 +
|ppc64le
 +
|[[User:Tle|Tle]]
 +
|[https://forums.raptorcs.com/index.php/topic,365.msg2944.html#msg2944 Works]
 
|-
 
|-
 
|[https://www.riscyslack.org/ Riscy Slack (Slackware)]
 
|[https://www.riscyslack.org/ Riscy Slack (Slackware)]
Line 156: Line 256:
 
|Works OOTB. I only needed the [[Troubleshooting/GPU#Xorg_crashes_or_is_laggy_with_the_AST_VGA_GPU| snippets for the AST GPU]]
 
|Works OOTB. I only needed the [[Troubleshooting/GPU#Xorg_crashes_or_is_laggy_with_the_AST_VGA_GPU| snippets for the AST GPU]]
 
|-
 
|-
|rowspan="4"|[https://www.ubuntu.com/download/server/power Ubuntu Server]
+
|[https://rockylinux.org/ Rocky]
 +
|9.0
 +
|ppc64le
 +
|[[User:MPC7500|MPC7500]]
 +
||Not tested yet.
 +
|-
 +
|[http://t2sde.org/ T2 SDE]
 +
|21.5
 +
|ppc64le
 +
|[[User:MPC7500|MPC7500]]
 +
|Not tested yet.
 +
|-
 +
|rowspan="5"|[https://www.ubuntu.com/download/server/power Ubuntu Server]
 +
|22.04 LTS
 +
|ppc64le
 +
|[[User:Manatails|manatails]]
 +
|Installs and works out of box with no changes.
 +
|-
 
|20.04 LTS
 
|20.04 LTS
 
|ppc64le
 
|ppc64le
Line 165: Line 282:
 
|ppc64le
 
|ppc64le
 
|[[User:FlyingBlackbird|FlyingBlackbird]]
 
|[[User:FlyingBlackbird|FlyingBlackbird]]
|Works OOTB with Gnome (installed via <code>sudo tasksel</code> choosing ''Ubuntu Desktop'') and a single SATA HDD. I only needed to configure Xorg for a FullHD resolution of the AST GPU as described in [[Troubleshooting/GPU#Display_stuck_at_default_low_resolution_with_AST_HDMI_GPU]]. Note that NVMe SSDs may crash when a manual or scheduled <code>discard</code> ("trim") is started (due to a kernel bug fixed in 5.4 but there is a work-around, see [[POWER9 Hardware Compatibility List/PCIe Devices#NVMe_Drives]]. So far a combination of a NVMe SSD and SATA HDD makes troubles if both drives are used for OS installation targets with booting from HDD causes ATA error messages (I am investigating this, see the [[User:FlyingBlackbird|up-to-date status of my system configuration]]).
+
|Works OOTB with GNOME (installed via <code>sudo tasksel</code> choosing ''Ubuntu Desktop'') and a single SATA HDD. I only needed to configure Xorg for a FullHD resolution of the AST GPU as described in [[Troubleshooting/GPU#Display_stuck_at_default_low_resolution_with_AST_HDMI_GPU]]. Note that NVMe SSDs may crash when a manual or scheduled <code>discard</code> ("trim") is started (due to a kernel bug fixed in 5.4 but there is a work-around, see [[POWER9 Hardware Compatibility List/PCIe Devices#NVMe_Drives]]. So far a combination of a NVMe SSD and SATA HDD makes troubles if both drives are used for OS installation targets with booting from HDD causes ATA error messages (I am investigating this, see the [[User:FlyingBlackbird|up-to-date status of my system configuration]]).
 
|-
 
|-
 
|19.04
 
|19.04
Line 245: Line 362:
 
Rapid progress is being made on these ports by members of the community.
 
Rapid progress is being made on these ports by members of the community.
  
* GNU Guix System ([[User:Isengaara|Isengaara]] and lle-bout (email: lle-bout at zaclys dot net))
+
* [https://guix.gnu.org/en/blog/2021/new-supported-platform-powerpc64le-linux/ GNU Guix System] ([[User:Isengaara|Isengaara]] and lle-bout (email: lle-bout at zaclys dot net))
 +
* [https://issues.hyperbola.info/index.php?do=details&task_id=1336 Hyperbola]
 
* NixOS (@crystalgamma:matrix.org on Matrix)
 
* NixOS (@crystalgamma:matrix.org on Matrix)
 +
* [https://github.com/QubesOS/qubes-issues/issues/4318 Qubes OS]
 +
* [https://spectrum-os.org/design.html Spectrum]
 +
* [https://trisquel.info/en/forum/librebooting-my-desktop#comment-166973 Trisquel]
  
 
== External Links ==
 
== External Links ==
  
* [http://bgafc.t-hosting.hu/oses4ppc.php Operating Systems for PowerPC] PPC32 / PPC64 / PPC64le
+
* [http://oscomp.hu/bgafc/oses4ppc.php Operating Systems for PowerPC] PPC32 / PPC64 / PPC64le
  
 
[[Category:Compatibility List]]
 
[[Category:Compatibility List]]

Revision as of 21:28, 26 September 2022

Not everything is bug-free, so you might want to the check also Fixes in Progress about the state of their upstreaming.

GNU/Linux

Distribution Version Architecture Reported by Notes
Adélie 1.0-beta1 ppc64 awilfox Needs the easy-kernel-power8 package instead of easy-kernel. KDE 5 is stable.
Alma 8.5 ppc64le Xilinder Works
Alpine 3.11.5 ppc64le Tle Needs internet connection for the setup-alpine to fetch grub-ieee1275 and sfdisk. Let's hope the next version would include these two packages in the ISO. I have lodged a request
ALT 10.0 ppc64le MPC7500 Unable to install. The image is not displayed in Petitboot.
AOSC OS RR ppc64le MPC7500 Not tested yet.
Arch RR ppc64le MPC7500 Not tested yet.
Ataraxia 201101 ppc64le MPC7500 Not tested yet.
Bedrock 0.7.24 ppc64le MPC7500 Not tested yet.
CentOS 7.7 ppc64le MPC7500 Works OOTB. I only needed the snippets for the AST GPU
CentOS Stream 9 ppc64le MPC7500 Not tested yet.
Chimera 20220912 ppc64le JeremyRand Not tested yet.
Circle 8.6 ppc64le MPC7500 Not tested yet.
Debian 12 (2022-03-21 weekly DVD ISO) ppc64le (inside KVM; machine type = pseries) JeremyRand Seems to work fine with XFCE.
11.1.0 (netinst) ppc64le Jas Installs and works out of box with no changes. Installer is on serial port, VGA is blank

(workaround). Works fine as a KVM host via virt-manager and a Debian 11 guest VM.

11 (2021-03-29 weekly DVD ISO) ppc64le (inside KVM; machine type = pseries) JeremyRand Seems to work fine with XFCE.
11/Sid (2021-02-02 snapshot) ppc64 (BE) (inside KVM; machine type = pseries) JeremyRand Seems to work fine with XFCE. Note that even though this ISO is labeled "10.0.0" in the filename, it is actually Sid, not Buster.
10 (2018-05-28 weekly DVD ISO) ppc64le JeremyRand Seems to work fine. KDE crashes occasionally, but that might be unrelated to running it on POWER9. Works fine as a KVM host via virt-manager (tested with Debian 10 as the guest). Be warned that the installer will enable the contrib repos (without your knowledge or consent), which is bad from a software freedom standpoint.
10.0 (ISO is dated 2018-05-18) ppc64 (BE) (inside KVM; machine type = pseries) JeremyRand ISO fails to boot in virt-manager.
10 ppc64 awilfox Only tested in KVM-PV. Using Adélie easy-kernel as kernel, Debian Buster userland.
9.9.0 ppc64le MPC7500 Works OOTB. I only needed the snippets for the AST GPU
9.5.0 ppc64le (inside KVM; machine type = pseries) JeremyRand Seems to work fine with KDE. Default version of Linux works fine. Be warned that the installer will enable the contrib repos (without your knowledge or consent), which is bad from a software freedom standpoint. However, running dpkg-query -W -f='${Section}\t${Package}\n' | grep ^contrib (see this Stack Exchange answer) suggests that no actual packages from the contrib repos are installed by default, so you should be able to disable the contrib repos after installation without ever being exposed to contrib-packaged software.
9 ppc64le nashimus Requires 4.16 or newer kernel. Installed Debian testing net install, set apt sources to Debian stable and downgraded, keeping 4.16 kernel. Most VMs failed to boot before updating qemu to 2.12.0.
Devuan 4.0 ppc64le MPC7500 Works
Fedora 36 ppc64le ClassicHasClass Review at Talospace.
35 ppc64le ClassicHasClass Review at Talospace.
34 ppc64le ClassicHasClass Review at Talospace.
33 ppc64le Tle Server and Workstation variant works perfectly!
ClassicHasClass Review at Talospace.
32 ppc64le Tle Server variant works perfectly!

The Workstation Live variant failed to load kernel image at Petitboot prompt, the workaround is to change kernel/initrd paths before booting to be /ppc/ppc64/{vmlinuz,initrd.img} instead of /ppc/ppc

ClassicHasClass Review at Talospace.
31 ppc64le MPC7500 Works. I only needed the snippets for the AST GPU. When installing GNOME (workstation-product-environment) you have to do this modification
30 ppc64le MPC7500 Works OOTB. I only needed the snippets for the AST GPU
28 ppc64le Sharkcz only bare metal verified for now, you might want to enable SharkCZ's COPR repo for not-yet-upstreamed updates
ppc64le nashimus May need to manually specify inst.stage2, during install. Workaround Bug
ppc64be Sharkcz discontinued in Fedora 29
Gentoo n/a ppc64le luke-jr Once installed, works fine.

GNOME, Plasma and other desktops are supported. Ships working firefox, qtwebengine:5. latest install iso supporting both 4k and 64k pagesize kernels

17.0 ppc64 MarcusC XFCE4 and virt-manager verified
Glasnost 2021.10-01 ppc64le MPC7500 Not tested yet.
Kicksecure (clearnet link) 16 ppc64le JeremyRand Appears to work fine with XFCE in a VM when the Kicksecure instructions are followed. Haven't tried CLI or host.
openSUSE Leap 15.1 ppc64le MPC7500 Works OOTB. I only needed the snippets for the AST GPU
Tumbleweed 20190805 ppc64le Jonsger Install via serial console (over ssh) and connect HDMI to dedicated GPU. Use Xorg config from Troubleshooting/GPU#Step_2:_Create_Xorg_Configuration_Snippet. radeonsi is missing, as Mesa-dri is not build for ppc64le. Workaround: install from home:jbrielmaier:ppc64le repo.
Parabola 15-Apr-2021 ppc64le JeremyRand Not tested yet.
PowerEL 7 ppc64le MPC7500 Unable to install. The image is not displayed in Petitboot.
RHEL 9 ppc64le Tle Works
Riscy Slack (Slackware) 2020-11-17 ppc64le MPC7500 Works OOTB. I only needed the snippets for the AST GPU
Rocky 9.0 ppc64le MPC7500 Not tested yet.
T2 SDE 21.5 ppc64le MPC7500 Not tested yet.
Ubuntu Server 22.04 LTS ppc64le manatails Installs and works out of box with no changes.
20.04 LTS ppc64le Jas Installs and works out of box with no changes.
19.10 (kernel 5.3.x) ppc64le FlyingBlackbird Works OOTB with GNOME (installed via sudo tasksel choosing Ubuntu Desktop) and a single SATA HDD. I only needed to configure Xorg for a FullHD resolution of the AST GPU as described in Troubleshooting/GPU#Display_stuck_at_default_low_resolution_with_AST_HDMI_GPU. Note that NVMe SSDs may crash when a manual or scheduled discard ("trim") is started (due to a kernel bug fixed in 5.4 but there is a work-around, see POWER9 Hardware Compatibility List/PCIe Devices#NVMe_Drives. So far a combination of a NVMe SSD and SATA HDD makes troubles if both drives are used for OS installation targets with booting from HDD causes ATA error messages (I am investigating this, see the up-to-date status of my system configuration).
19.04 ppc64le MPC7500 Works OOTB. I only needed the snippets for the AST GPU
18.10 ppc64le q66 Installs and works out of box with no changes, Xfce4.
Void Linux for Power Architecture n/a ppc64le/ppc64/ppc q66 Staging fork of Void Linux (custom binary repository and infrastructure, merging changes back upstream), fully functional, both endians, glibc or musl, 64-bit or 32-bit (32-bit works on Talos with 64-bit kernel or in a VM)
Whonix (clearnet link) 16 ppc64le JeremyRand Appears to work fine with XFCE (both Gateway and Workstation) when the Whonix instructions are followed. Haven't tried CLI.
15 (Morphed from Sid) ppc64 (BE) JeremyRand Dependency conflicts prevent distro-morphing from Debian Sid to Whonix. I'm working on getting these fixed.
15 (Morphed from Buster) ppc64le JeremyRand Appears to work fine with KDE (both Gateway and Workstation) when the Whonix instructions are followed; host OS used for testing was Debian 10. Haven't tried XFCE and CLI.
14 ppc64le JeremyRand Appears to work fine when the Whonix instructions are followed; host OS used for testing was Debian 10. (UPDATE: Whonix 14 is no longer recommended by upstream for KVM; use Whonix 15 instead.)
amd64 JeremyRand Appears to boot without errors when the Whonix/x86 instructions are followed; host OS used for testing was Debian 10. Didn't test anything beyond showing the XFCE GUI.

BSDs

Distribution Version Architecture Reported by Notes
FreeBSD 13-CURRENT ppc64 kev009 Ongoing development activity, better than releases for the time being
12.0 ppc64 kev009 Contains initial POWER9 support
OpenBSD 6.8 powerpc64 DanielPocock Official support since OpenBSD 6.8
POWER9BSD 13-CURRENT ppc64 kev009 Advance POWER9 features for FreeBSD like Radix MMU, amdgpu etc

Ports in progress

Rapid progress is being made on these ports by members of the community.

External Links